@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--Open-Sans);
}

a {
    color: var(--white);
    text-decoration: none;
}

body {
    background: var(--quinary-background-color);
}

.form-container {
    display: grid;
    position: relative;
    isolation: isolate;
}

.form-container::before {
    position: absolute;
    content: "";
    top: 0;
    width: 100%;
    height: 100%;
    grid-column: 1/2;
    background: var(--primary-background-color);
    z-index: 20;
}

.form-container .text-content {
    width: 940px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px;
}

.text-content .logo {
    width: 620px;
    height: 600px;
}

.login-container {
    width: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 20px;
    max-width: 375px;
    min-height: 100vh;
    margin-inline: auto;
    z-index: 30;
}

.login-container .logo-container {
    display: none;
}

.login-container .login-content {
    display: grid;
    text-align: center;
}

.login-content .header {
    font-size: 25px;
    font-weight: bold;
    text-align: center;
    margin-bottom: .3rem;
}

.login-content .sub-header {
    font-size: 12px;
    font-weight: 500;
    text-align: center;
    margin-bottom: 1.9rem;
}

.input-container {
    position: relative;
    width: 100%;
}

.login-content .username-container {
    margin-bottom: 1.1rem;
}

.input-container .label {
    font-size: 13px;
    font-weight: 500;
    text-align: left;
    margin-bottom: 5px;
    color: var(--primary-color);
}

.input-container #indicator {
    color: var(--red-2);
}

.input-container input {
    width: 100%;
    border: none;
    outline: none;
    font-size: 15px;
    padding: 10px 12px;
    padding-right: 40px;
    color: var(--text-color);
    background: var(--primary-background-color);
    border-radius: 2px;
    border: 1px solid var(--border-color-5);
    box-sizing: border-box;
}

.input-container input:focus {
    border: 1px solid var(--primary-color);
}

.input-container .bx {
    position: absolute;
    top: 70%;
    right: 12px;
    transform: translateY(-50%);
    cursor: pointer;
    font-size: 22px;
    color: var(--text-color);
}

.input-content .toggle-password {
    cursor: pointer;
}

.login-content .forgot-password {
    width: 100%;
    margin: 13px 0 1.5rem 0;
    text-align: left;
}

.login-content .forgot-password-link {
    width: 100%;
    color: var(--text-color);
    font-size: 13px;
    cursor: pointer;
}

.login-content .login-btn {
    width: 100%;
    border: none;
    font-size: 15px;
    padding: 10px 12px;
    color: var(--primary-background-color);
    background: var(--secondary-color);
    border: 1px solid var(--secondary-color);
    border-radius: 2px;
    transition: opacity 0.10s ease;
    cursor: pointer;
}

.login-content .login-btn:hover {
    opacity: 0.9;
}

.login-content p {
    font-size: 13px;
    margin-top: 15px;
    color: var(--text-color);
}

.login-content p a:hover {
    text-decoration: underline;
}

@media (width > 768px) {

    .form-container {
        grid-template-columns:
        minmax(0, 1fr)
        minmax(0, calc(var(--max-width) / 1))
        minmax(0, calc(var(--max-width) / 2))
        minmax(0, 1fr);
    }

    .form-container::before {
        grid-column: 3/5;
    }

    .login-container {
        grid-column: 3/5;
    }

}